.dropbtn {
    background-color: #3498DB;
    color: white;
    padding: 16px;
    font-size: 16px;
    border: none;
    cursor: pointer;
}

.dropbtn:hover, .dropbtn:focus {
    background-color: #2980B9;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    overflow: auto;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown a:hover {background-color: #ddd;}

.custom_show {display: block;}
.flex.custom_show {display: flex; flex-wrap: wrap;}
.custom_hide {display: none;}


/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block !important;
    width: 50px;
    height: 20px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.static-place {
    width: 100%;
    padding-bottom: 0.5rem;
    margin-bottom: 0.5rem;
    border-bottom: 2px solid;
}

/* The slider */
.slider-def {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
    padding-left: 39px;
}

.slider-def:before {
    position: absolute;
    content: "";
    height: 14px;
    width: 14px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider-def {
    background-color: #2196F3;
}

input:focus + .slider-def {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider-def:before {
    -webkit-transform: translateX(18px);
    -ms-transform: translateX(18px);
    transform: translateX(18px);
}

/* Rounded sliders */
.slider-def.round {
    border-radius: 14px;
}

.slider-def.round:before {
    border-radius: 50%;
}

span.slider-def.round {
    width: 38px;
    height: 20px;
}

.multi-range-slider-wrapper .slider-selection {
    background: #46c1fe;
}

input.range {
    width: 77px;
    max-width: 30%;
    margin: 0 5px;
    text-align: center;
}

.dropdown-menu.medium_dropdown {
    min-width: 300px;
}

.center-text {
    text-align: center;
}

/** **/

.loader-container {
    z-index: 1000000;
    background-color: #AFBCBC;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    opacity: 0.7;
    width: 100%;
    display: table;
    height: 100%;
}

.loader-content {
    vertical-align: middle;
    display: table-cell;
    text-align: center;
}

.loader-title {
    font-family: serif;
    color: #FFFFFF;
    margin-top: 80px;
    margin-bottom: 20px;
}

#mappia {
    height: 500px;
    width: 100%;
    min-width: 40px;
}

/** **/
/*
#example tr td,#example tr th {
word-break: break-word;
}*/

.inline-block {
    display: inline-block;
}

.some-padding {
    padding: 5px;
}

/** Data table custom */

table.dataTable thead th, table.dataTable thead td {
    padding: 10px 15px 10px 5px;
}

th, table.dataTable.row-border tbody td, table.dataTable.display tbody th, table.dataTable.display tbody td {
    border-top: none;
}

table.dataTable tbody th, table.dataTable tbody td {
    padding: 4px 5px;
}

.dataTables_scrollHeadInner, .dataTables_scrollHeadInner .dataTable {
    width: 100% !important;
}

.tableResizeWrapper {
    position: absolute;
    top: 4em;
    left: 1em;
    right: 1em;
    bottom: 1em;
}

/** BODY */

body {
    line-height: 18px;
}


a.nav-item.nav-link.page2-group.active {
    font-size: 20px;
}

#navbarSupportedContent {
    min-height: 50px;
}

.login100-form-btn {
    background-color: #78ca76;
}

.login100-form-btn:hover {
    background-color: #38664a;
}

.login100-form-title {
    color: #386659;
}

/** BORDER **/

@keyframes changewidth {
    0% {
        width: 0;
        left:0;
    }

    50% {
        left:0;
        width: 100%;
    }

    100% {
        left:100%;
        width:0;
    }
}

.loading_bar_before.disabled::after {
    animation-duration: 2s;
    animation-name: changewidth;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    animation-direction: normal;
}

.btn-disabled, input.login100-form-btn.btn-disabled {
    background-color: #aeafad;
}

input.btn-disabled::after{
    background-color: #828382;
}

/** **/


.loading_bar {
    position: relative;
    border-bottom: none;
}
.loading_bar_before::after{
    content: '';
    position: absolute;
    width: 0px;
    height: 5px;
    left: 0;
    bottom:0;
    background-color: #28a745;
}
.loading_bar::after{
    width: 100%;
    left: 0;
    transition: all ease-in 0.67s;
}

/** checkbox Label  **/
label.form-check-label {
    display: inline-block;
}
.form-check-label {
    padding-left: 0.35rem;
    margin-bottom: 0;
    padding-right: 0.4em;
}
.slow  .toggle-group { transition: left 0.7s; -webkit-transition: left 0.7s; }
.toggle-off.btn-xs {padding-left: 0.3rem;}
.btn-group-xs>.btn, .btn-xs {padding: .5rem .4rem .25rem 0.2rem;}
/** end checkbox label **/

.slider.slider-horizontal {
    width: 165px;
    height: 20px;
}

.toggle-handle {
    background-color: #d8e2e6;
}

.container-fluid {
    padding-right: 5px;
    padding-left: 5px;
}

.col-3, .col-9 {
    padding-right: 5px;
    padding-left: 5px;
}

#suppliers_wrapper tbody {
    white-space: nowrap;
}
/*
#example_wrapper {
    overflow-x: auto;
}*/

#hchart {
    display: none;
}
/*
.table-left {
    overflow: auto;
}*/


#suppliers td span.limit_content {
    max-width: 10%;
    text-overflow: ellipsis;
    overflow: hidden;
}

/** Tooltip **/
/**
#example tbody td {
    position:relative;
}

.cellTooltip {
    display:none;
    position:absolute;
    z-index:100;
    border:1px;
    background-color:white;
    border-style:solid;
    border-width:1px;
    border-color:red;
    padding:3px;
    color:red;
    top:-20px;
    left:0px;
}

#example tbody td:hover span.cellTooltip{
    display:block;
}
**/
.frigorific-input{
    width: 15rem;
    margin-bottom: 0.5rem;
}

.frigorific-input label {
    padding-bottom: 5px
}

.select-frigorifics{
    width: 100%;
    padding: 8px;
    border: solid 1px #ccc;
}

.flex-disp{
    display: flex;
}
.flex-gap1{
    display: flex;
    gap:1rem;
}

.flex-disp-between{
    display: flex;
    justify-content: space-between;
}

.flex-column{
    display: flex;
    flex-direction: column;
}

.flex-equal-parts{
    flex:1
}

.dblclick_instruction{
    color: #777;
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 2rem;
    padding-right: 7rem;
}

.irregular {
    filter: drop-shadow(0px 0px 1px black);
    background-color: #f4bfbf !important
}
.irregular td{
    background-color: #f4bfbf !important
}
/* #search_btn_frigorific{    
    padding-top: 0;
    padding-bottom: 10px;
} */

td.details-control {
    background: url(../images/icons/details_open.png) no-repeat center center;
    cursor: pointer;
}

td.details-control-frigorific {
    background: url(../images/icons/details_open.png) no-repeat center center;
    cursor: pointer;
}

.report {
    width: 100%;
}

td.report_key {
    width: 600px;
}

.logout-button{
    color: #ddd;
    border: solid 1px #ddd;
    border-radius: 5px;
    padding: 8px 20px 8px 20px;
}

.logout-button:hover{
    background-color: #aaa;
}
.logout-button:active{
    background-color: #ccc;
}

#emailSpan{
    margin-right: 5px;
}

#brasilSvg{
    margin-top: 20px;
}

#brasilSvg path.active{
    fill: #2c8f48;
}

#brasilSvg path {
    fill: url(#hachura);
    transition: fill .3s ease;
}

#brasilSvg path.active:hover{
   fill:#026b02;
   cursor: pointer;
}

#backToMap{
    margin-right: 10px;
}

#backToMap a{
    cursor: pointer;
    font-size: 1.1rem;
}
#backToMap a:hover{
    font-size: 1.5rem;
}

span.supplier-visibility, .some-selected .selected td span.supplier-visibility{
    width: 16px;
    height: 16px;
    display: block;
    background-image: url(../images/icons/icon_eye.png);
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
}

.some-selected td span.supplier-visibility{
    width: 16px;
    height: 16px;
    background-image: url(../images/icons/icon_eyecross.png);
}

td.filter-frigorific {
    background-image: url(../images/icons/filter.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100px;
    cursor: pointer;
    filter: opacity(0.2);


}

.filtered td.filter-frigorific {
    filter: opacity(1);
    background-image: url(../images/icons/filter-blue.svg);
}
.multiple-names td.filter-frigorific {
    filter: opacity(1);
}

td.lds-ring {
    position: absolute;
    background-image: none;
    filter: opacity(1);
    margin-top: -1px;
    cursor: default;
}
  .lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 23px;
    height: 23px;
    border: 5px solid #78be78;
    border-radius: 50%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: #78be78 transparent transparent transparent;
  }
  .lds-ring div:nth-child(1) {
    animation-delay: -0.45s;
  }
  .lds-ring div:nth-child(2) {
    animation-delay: -0.3s;
  }
  .lds-ring div:nth-child(3) {
    animation-delay: -0.15s;
  }
  @keyframes lds-ring {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }

/* GAMBIARRA */
#suppliers_table_container{
    overflow-x: auto;
    width: 100%;
}
/* FIM GAMBIARRA */

.flex-left-supplier{
    flex: 0 0 22%;
    max-width: 22%;
}

.flex-right-supplier{
    flex: 0 0 78%;
    max-width: 78%;
    /* overflow-x: auto; */
}

.supply-filters{
    display: flex;
    flex-direction: column;
    gap: 5px;
}

/* .supply-select-filters{
    display: flex;
    flex-direction: column;
    gap: 5px;
} */

.range-inputs label{
    display: flex;
    flex-direction: column;
    gap: 5px;
    align-items: flex-start;
}

.paading-10{
    padding: 10px
}

.modal-style{
    position: fixed;
    background-color: #ddd;
    z-index: 2;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modal-style.name-frig-modal{
    width: 20%;
}

.modal-style.download-modal{
    width: 35%;
}

.modal-container{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    padding: 8px 11px 8px 11px;
}

#modal-content{
    display: flex;
    flex-direction: column;
    gap:10px;
    padding: 0 11px;
}

.download-modal #modal-content{
    width: 100%;
}

.modal-filter-backdrop{
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 1;
    background-color: #000;
    opacity: 50%;
}
.checkbox-option-container{
    display: flex;
    gap: 10px
}

.modal-check-button-container{
    display: flex;
    justify-content: space-around;
}

.modal-check-button{
    border: solid 1px black;
    padding: 3px;
    border-radius: 5px;
    background-color: #cbc9ba;
    transition: background-color 100ms;
    width: 40%;
}
.modal-check-button:hover{
    background-color: #a19f8e;
}
.modal-check-button:active{
    background-color: #e6e3cf;
}

.modal-button{
    border: solid 1px black;
    padding: 3px;
    border-radius: 5px;
    background-color: #9de09d;
    transition: background-color 100ms;
    width: 43%;
}
.modal-button:hover{
    background-color: #78be78;
}
.modal-button:active{
    background-color: #aaf4aa;
}
.modal-button:disabled{
    background-color: #ccc;
    cursor: default;
}

.button-container{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 43px;
    gap: 1rem;
}
.download-modal p{
    color: #000;
}

.checkboxes-container{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    max-height: 400px;
    column-gap: 5px;
    overflow-x: auto;
}
  
  .copy-content{
    border: 1px solid;
    padding: 6px;
    margin-left: 1rem;
    border-radius: 5px;
    background-color: #ffff95;
  }
  .copy-content:hover{
    background-color: #c7c70d;
  }
  .copy-content:active{
    background-color: #ffff20;
  }

.filtered td.filtrable {
    display: flex;
    justify-content: space-between;
    gap: 5px;
}

.filtered span.filtrable {
    background-image: url(../images/icons/filter.svg);
    background-size: 103px;
    background-position: center;
    background-repeat: no-repeat;
    display: block;
    opacity: 0.8;
    width: 16px;
    height: 16px;
}

/* Tooltip text */
span.tooltip-cont .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 5px 0;
    border-radius: 6px;

    /* Position the tooltip text */
    z-index: 1;
    margin-left: 25px;

    /* Fade in tooltip */
    opacity: 0;
    transition: opacity 0.3s;

    position: relative;
}

/* Show the tooltip text when you mouse over the tooltip container */
span.tooltip-cont:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}

.filtered .tooltiptext-filtered{
    display: block;
}
.tooltiptext-filtered{
    display: none;
}

span.tooltiptext-filtered:after{
    content: 'Dado Filtrado';
}
span.tooltiptext-property:after{
    padding: 5px;
    opacity: 0.9;
    content: 'Ver o imóvel no mapa';
}

.tooltiptext-history:after{
    content: attr(data-tooltip);
    position: absolute;
    left: 50%;
    transform: translateX(-50%) translateY(150%);
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 5px 5px;
    border-radius: 6px;
    white-space: nowrap;
    transition: opacity 0.3s;
    z-index: 1;
    opacity: 0;
}

.tooltiptext-history:hover::after {
    opacity: 0.9;
}

.map-container-background{
    width: 100vw;
    min-height: 100vh;
    line-height: normal;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    background-color: #eee;
    font-family: 'titillium_webregular', Arial, Helvetica, sans-serif;
}

.map-container-background .brazil-map-div{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 2rem;
}

.map-container-background .mappia-tac-description{
    display: flex;
    flex-direction: column;
    width: 60%;
    color: #2e5844;
    background-color: #d8d8d8;
    padding: 2rem 4rem;
    gap:1rem;
    box-shadow: 0px 0px 5px black;
    margin-bottom: 2rem;
    margin-top: 2rem;
}
.map-container-background .mappia-tac-description h3{
    color: #2e5844;
    font-family: 'titillium_websemibold', Arial, Helvetica, sans-serif;
}
.map-container-background .mappia-tac-description p{
    color: #2e5844;
}
.map-container-background .mappia-tac-description a{
    color: blue;
    opacity: 0.6;
}
.map-container-background .mappia-tac-description a:hover{
    opacity: 1;
}


.map-container-background header{
    width: 100%	;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 2rem;
    background-color: #517d64;
    color: #c9e0cf;
    padding-left: 3%;
}
.map-container-background footer{
    width: 100%;
    background-color: #517d64;
    color: #c9e0cf;
    height: 60px;
    display: flex;
    align-items: center;
    padding-left: 3rem;
}

.mappia-tac-icon{
    background: url(../images/icons/logo_tac.png) no-repeat center center;
    background-size: 100%;
    height: 200px;
    width: 200px;
}

#history-content {
    padding-top: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

#history-content p{
    font-size: 1rem;
}

#history-list {
    display: flex;
    flex-direction: column;    
    gap: 1rem;
    width: fit-content;
    padding: 1rem;
}

#history-list button{
    background-color: aliceblue;
    box-shadow: 0px 0px 4px #8a8a8a;
    border-radius: 5px;
    font-size: 1.5rem;
    padding: 1rem;
    cursor: pointer;
}

#history-list button:hover{
    background-color: #a8becf;
}

#history-list button:active{
    background-color: #bcd1e1;
}

#relatory-content {
    width: 100%;
    padding: 1rem;
}

#relatory-content h1{
    margin-bottom: 0.5rem;
}

#relatory-container {
    padding-top: 0.5rem;
}

#relatory-content .relatory-description{
    padding-bottom: 0.5rem;
}

#relatory-content button{
    background-color: aliceblue;
    box-shadow: 0px 0px 4px #8a8a8a;
    border-radius: 5px;
    padding: 3px;
    cursor: pointer;
}

#relatory-content button:hover{
    background-color: #a8becf;
}

#relatory-content button:active{
    background-color: #bcd1e1;
}

.frigorific-filter-container{
    display: flex;
    padding: 2rem 4rem;
    justify-content: center;
    border-bottom: 1px solid black;
}

.filter-dropdown-select{
    padding: 10px;
    border: 1px solid #ccc;
    width: 100%;
}

.filter-dropdown-select:focus{
    border: 1px solid #aaa;
}

.dropdown-select {
    position: relative;
    width: 30%;
}

.dropdown-select-list {
    display: none; /* Hide by default */
    position: absolute;
    background-color: white;
    border: 1px solid #ccc;
    z-index: 1;
    max-height: 300px;
    overflow-y: auto; /* Allow scrolling if too many options */
    width: 100%;
}

.dropdown-select-item {
    padding: 8px;
    cursor: pointer;
} 

.dropdown-select-item:hover {
    background-color: #f0f0f0;
}

.dropdown-select-item.selected {
    background-color: #c6c6c6;;
}
/* 
table.statistics-table {
    border-collapse: collapse;
    border: none;
}

table.statistics-table tr:first-child td {
    border-top: none;
}

table.statistics-table tr:last-child td {
    border-bottom: none;
}

table.statistics-table tr td:first-child {
    border-left: none;
}

table.statistics-table tr td:last-child {
    border-right: none;
}

table.statistics-table  td {
    border: 1px solid black; 
    padding: 8px;
} */

#statistics-content{
    display: flex;
    flex-direction: column;
    align-items: center;
}

#statistics-content .dataTables_wrapper{
    max-width: 100%;
}

#statistics-content .statistics-description{
    width: 100%;
    font-size: 1.2rem;
    padding-left: 1rem;
}

.quality-table {
    margin: 1rem;
}
.quality-table td, .quality-table th{
    border: 1px solid #000;
    padding: 5px;
}

.quality-table td{
    text-align: end;
}

.quality-table th{
    text-align: center;

}

.scroll-x {
    overflow-x: auto;
}

#statistics-content h1 {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

#statistics-content h2 {
    margin-top: 2rem;
    margin-bottom: 0.5rem;
    background-color: #F1F1F1;
    padding: 8px;
    border-radius: 5px;
}

.legend-label{
    display: flex;
    justify-content: space-between;
    font-weight: bold;
    font-size: 1rem;
}
.category-title{
    font-weight: bold;
    font-size: 1.1rem;
}

.statistics-legend { 
    padding: 1rem;
    width: 37%;
    gap: 5px;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
    
}
.legend-category {
    border-left: 5px solid #A5A5A5;        
    border-radius: 16px;
    padding-left: 12px;
    padding-bottom: 8px;
    gap: 5px;
    display: flex;
    flex-direction: column;
    font-size: 1rem;
}
.line-statistics-legend {
    display: flex;
    background-color: #E8E8E8;
    
}

.label-criterio {
    background-color: #A5A5A5;
    color: #FFF;
    width: 6%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    font-weight: bold;
}

.perc-criterio{
    background-color: #666666;
    color: #FFF;
    width: 8%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    font-weight: bold;
}

.line-statistics-content{
    width: 86%;
    padding: 0.3rem 0.5rem;
}

.right-divider {
    border-right: 1px black solid;
    padding-right: 5rem;
    margin-right: 5rem;
}

.frigorific-filter-container h4{
    margin-bottom: 0.5rem;
}
.frigorific-filter-container .range-inputs{
    width: max-content;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-toggle {
    padding: 10px 20px;
    background-color: #c5c5c5;
    color: black;
    border: solid 1px gray;
    cursor: pointer;
    border-radius: 5px;
    width: 27rem;
}

.dropdown-toggle:focus {
    outline: none;
}

.dropdown-menu {
    display: none;
    width: 27rem;
    position: absolute;
    background-color: white;
    border: 1px solid #ddd;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    padding: 10px;
    z-index: 1000;
    border-radius: 5px;
}

.dropdown-menu label {
    display: block;
    margin: 5px 0;
    cursor: pointer;
}

.dropdown-menu input {
    margin-right: 10px;
}

.navbar-green {
    background-color:#517D64 !important;
}

.navbar-green .navbar-nav .nav-link {
    color: #CBE3D0;
}

.navbar-green .navbar-nav .nav-link:hover {
    color:   #97C7A1;
}

.navbar-green .navbar-nav .nav-link.active {
    color:  #95cb7a;
}

.navbar-green {
    color: #FFF
}

/* retirando filtra nativo da biblioteca */
.dataTables_filter{
    display: none;
}

.chart-title-custom{
    color: rgb(51, 51, 51);
    font-size: 18px;
    padding-bottom: 5px;
}